Skip to main content
GET
/
v1
/
cdr
List CDRs
curl --request GET \
  --url https://api.wavix.com/v1/cdr \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "date": "2023-08-21T06:43:36.000Z",
      "from": "14302287001",
      "to": "33170363950",
      "disposition": "answered",
      "duration": 6,
      "destination": "France",
      "per_minute": "0.027",
      "charge": "0.822",
      "sip_trunk": "32882",
      "forward_fee": "0.0",
      "uuid": "99df5ffd-962a-410f-bcce-d08f1f7f328c",
      "parent_uuid": "99df5ffd-962a-410f-bcce-d08f1f7f328c",
      "answered_by": "human"
    }
  ],
  "pagination": {
    "current_page": 2,
    "per_page": 25,
    "total": 101,
    "total_pages": 5
  }
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Query Parameters

from
string<date>
required

Start date in YYYY-MM-DD format.

Example:

"2023-01-01"

to
string<date>
required

End date in YYYY-MM-DD format.

Example:

"2023-09-01"

type
string
required

Call direction to filter results. Allowed values: placed, received.

Example:

"received"

disposition
enum<string>

Call disposition to filter results. Allowed values: answered, busy, rejected, failed, all. Call disposition.

Available options:
answered,
noanswer,
busy,
failed,
all

Originating phone number for filtering. Full or partial input accepted.

Example:

"13524815863"

Destination phone number for filtering. Full or partial input accepted.

Example:

"12565378257"

sip_trunk
string

SIP trunk login to filter outbound calls. Ignored for inbound calls.

Example:

"12321"

uuid
string

Call ID to filter results.

Example:

"99df5ffd-962a-410f-bcce-d08f1f7f328c"

page
integer<int32>

Page number to retrieve.

Example:

1

per_page
integer<int32>
default:25

Number of records per page.

Example:

25

Response

List of CDRs.

items
Cdr · object[]
required

List of CDRs

pagination
Pagination · object
required